Configuration
All operations require authentication.
2 operationsv1/hosting/privateDatabase
Get the configurationProduction
GET
/1.0/ hosting/ privateDatabase/ {serviceName}/ config
Returns the configuration parameters with their current, default and available values, and whether the last update is applied.
Path parameters
service Name
required
string
Service name
Response
200Configssuccessful operation
details
read-only
Config Detail []
Configuration details
last Update
read-only
stringdate-time
Configuration last update
status
read-only
Status Enum
Configuration status
Values
appliedupdatingtask Id
read-only
integer
Configuration linked task id
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ privateDatabase/ {serviceName}/ config \
-H "authorization: Bearer $OVH_TOKEN"{ "details": [ { "availableValues": [ "string" ], "defaultValue": "string", "description": "string", "key": "string", "lastUpdate": "2024-01-01T12:00:00Z", "type": "boolean", "unit": "string", "value": "string" } ], "lastUpdate": "2024-01-01T12:00:00Z", "status": "applied", "taskId": 0}
Update the configurationProduction
POST
/1.0/ hosting/ privateDatabase/ {serviceName}/ config/ update
Updates the given configuration parameters as key-value pairs. Returns the configuration, whose status stays at updating until the change is applied.
Path parameters
service Name
required
string
Service name
Request body (required)
parameters
required
Config Key Value []
Web Cloud Database configurations
Response
200Configssuccessful operation
details
read-only
Config Detail []
Configuration details
last Update
read-only
stringdate-time
Configuration last update
status
read-only
Status Enum
Configuration status
Values
appliedupdatingtask Id
read-only
integer
Configuration linked task id
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ privateDatabase/ {serviceName}/ config/ update \
-H "authorization: Bearer $OVH_TOKEN"{ "details": [ { "availableValues": [ "string" ], "defaultValue": "string", "description": "string", "key": "string", "lastUpdate": "2024-01-01T12:00:00Z", "type": "boolean", "unit": "string", "value": "string" } ], "lastUpdate": "2024-01-01T12:00:00Z", "status": "applied", "taskId": 0}